app:
  name: my-application
  version: 1.0.0
  environment: development

database:
  host: localhost
  port: 5432
  credentials:
    username: admin
    password: secret123

server:
  port: 8080
  timeout: 30s
  features:
    - authentication
    - logging
    - rate-limiting

settings:
  debug: true
  cache:
    enabled: true
    ttl: 3600